//! # Rune
//! **Rune** is a high-performance, customizable **lexical analysis library**
//! written in Rust. It transforms source files into tokens using a fast,
//! cache-friendly design.
//! > _“Turn raw text into structured meaning — like spellcraft for source
//! > code.”_

pub mod library;

mod error;
mod lexer;
mod position;
mod token;



pub use crate::error::*;
pub use crate::lexer::*;
pub use crate::position::*;
pub use crate::token::*;
